%define         git          ""
%define         gitdate      20151019
%define         major        7
%define         libname      %mklibname yui %{major}-mga-qt
%define         develname    %mklibname -d yui-mga-qt

Name:           libyui-mga-qt
Version:        1.0.3
Release:        %mkrel 3
Summary:        UI abstraction library - Qt plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            git@bitbucket.org:_pmat_/libyui-mga-qt.git
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:    png-devel
BuildRequires:    yui-devel >= 3.1.2
BuildRequires:    %{_lib}yui-qt-devel
BuildRequires:    %{_lib}yui-mga-devel >= 1.0.4
# TODO Check ...
%if %mgaversion > 3
BuildRequires:    qtx11extras5-devel
%else
BuildRequires:    %{_lib}qt5ftp-devel
%endif
BuildRequires:    %{_lib}qt5svg-devel
# ... TODO Check
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
%if %mgaversion > 3
BuildRequires:    texlive-dist
%endif
BuildRequires:    ghostscript
BuildRequires:    graphviz
BuildRequires:    fontconfig-devel
Requires:         libyui
Requires:         libyui-mga
Requires:         libyui-qt

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-qt.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.*


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/KDE and Qt
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-mga-qt development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-mga-qt.pc
%{_libdir}/cmake/libyui-mga-qt
%doc %{_docdir}/libyui-mga-qt%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
mkdir build
cd build
cmake \
    -DYPREFIX=%{_prefix} \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes   \
    -DCMAKE_BUILD_TYPE=RELWITHDEBINFO ..

make docs

%install
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Oct 09 2016 anaselli <anaselli> 1.0.3-3.mga6
+ Revision: 1059762
- rebuilt

* Tue Jan 19 2016 anaselli <anaselli> 1.0.3-2.mga6
+ Revision: 925829
- rebuilt for new yui.mga

* Tue Oct 20 2015 anaselli <anaselli> 1.0.3-1.mga6
+ Revision: 892890
- 1.0.3

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-0.git20140119.5.mga5
+ Revision: 681916
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 anaselli <anaselli> 1.0.2-0.git20140119.4.mga5
+ Revision: 617389
- Added version dependencies

* Fri Apr 18 2014 anaselli <anaselli> 1.0.2-0.git20140119.2.mga5
+ Revision: 616897
- rebuilt for new libyui
- avoid parallel compiling for docs

* Sun Mar 30 2014 anaselli <anaselli> 1.0.2-0.git20140119.1.mga5
+ Revision: 610510
- missed dep
- Fixed dependencies
- new version 1.0.2

  + matteo <matteo>
    - imported package libyui-mga-qt

